
#ifndef LUBISHEV_EDIT_H
#define LUBISHEV_EDIT_H

#include <lubishev/SceneEvent.h>

#include <QPlainTextEdit>

namespace lubishev {

class Edit : public QPlainTextEdit {
    public:
        Edit(QWidget *parent = 0);
        void display(SceneEvent *e);
        void hide();

    protected:
        void keyPressEvent(QKeyEvent *e);

    private:
        SceneEvent *mSE;
};

} // namespace lubishev

#endif // LUBISHEV_EDIT_H

